<?php
/*
    This file is part of CSS:Portal.

    Written by Jonathan Levine <jxl180@gmail.com>
    Copyright 2009 Jonathan Levine
    
    CSS:Portal is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    CSS:Portal is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with CSS:Portal.  If not, see <http://www.gnu.org/licenses/>.
	
	The full copy of the GNU General Public License is saved as COPY in CSS:Portal's top directory.
*/

session_start();
require('includes/connect.inc.php');
if(file_exists('install/'))
{
	die('Once installation is complete, the install directory must be erased from the webserver.');
}
if(isset($_SESSION['id']))
{
	if($_SESSION['id']==1)
	{
		if(isset($_POST['submitlogin']))
		{
			if($_POST['username']==NULL || $_POST['password']==NULL)
			{
				$error=1;
			}
			else
			{
				if(!ctype_alnum($_POST['username']) || !ctype_alnum($_POST['password']))
				{
					$alphanum=0;
				}
				else
				{
					$alphanum=1;
					$error=0;
					$adminusername=stripslashes($_POST['username']);
					$adminusername=strip_tags($adminusername);
					$adminusername=mysql_real_escape_string($adminusername);
					$adminpassword=stripslashes($_POST['password']);
					$adminpassword=strip_tags($adminpassword);
					$adminpassword=mysql_real_escape_string($adminpassword);
					$adminpassword=md5($adminpassword);
					$adminsteamid=stripslashes($_POST['steamid']);
					$adminsteamid=strip_tags($adminsteamid);
					$adminsteamid=mysql_real_escape_string($adminsteamid);
				$sql="SELECT username FROM cssp_users WHERE username='". $adminusername ."' LIMIT 1";
					$query=mysql_query($sql);
					$count=mysql_num_rows($query);
					if($count==0)
					{
						$sql = "INSERT INTO `cssp_users` (`username`, `password`, `steamid`) VALUES ('$adminusername', '$adminpassword', '$adminsteamid')";
						$query=mysql_query($sql);
					}
				}
			}
		}
	}
	else
		header('location:index.php');
}
else
	header('location:index.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>

<meta name="Description" content="Information architecture, Web Design, Web Standards." />
<meta name="Keywords" content="your, keywords" />
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="Distribution" content="Global" />
<meta name="Author" content="Erwin Aligam - ealigam@gmail.com" />
<meta name="Robots" content="index,follow" />
<script type="text/javascript" src="javascripts/prototype.js"></script>
<script type="text/javascript" src="javascripts/scriptaculous.js?load=effects"></script>
<script src="javascripts/scriptaculous.js" type="text/javascript"></script>
<script src="javascripts/modalbox/modalbox.js" type="text/javascript"></script>
<link rel="stylesheet" href="javascripts/modalbox/modalbox.css" type="text/css" media="screen" />
<link rel="stylesheet" href="images/Refresh.css" type="text/css" />

<title>CSS:Portal</title>

	
</head>

<body>
<!-- wrap starts here -->
<div id="wrap">
		
		<!--header -->
		<div id="header">			
				
			<h1 id="logo-text">CSS<span class="gray">Portal</span></h1>	
		</div>
		
		<!-- menu -->			
			
		<!-- content-wrap starts here -->
		<div id="content-wrap">

				<a name="main"></a>
                <h2><li>New Admin</li></h2>
				
                   <center> <form id="form1" method="post" action="addadmin.php">
				<?php
              if(isset($count))
              {
                  if($count!=0)
                  {
                      echo '<font color="red">Username Already Exists!</font>';
                  }
              }
			  if(isset($alphanum))
			  {
					  if($alphanum==0)
					  {
						  echo '<font color="red">Invalid Input! Letters/Numbers Only!</font>';
					  }
			  }
              if(isset($error))
              {
                  if($error==1)
                  {
                      echo '<font color="red">All Fields Required!</font>';
                  }  
				  
                  if($error==0 && $count==0 && $alphanum==1)
                  {
                      echo '<font color="red"><b>'. $adminusername .'</b> added successfully.</font>';
                  }
              }
			
              ?>
                     <p>Username:
                        <input name="username" type="text" class="textbox" id="textfield" />
                      </p>
                      <p>Password:
                        <input name="password" type="password" class="textbox" id="textfield2" />
                      </p>
                      <p>SteamID:
                        <input type="text" name="steamid" id="textfield3" class="textbox"/> <br /><small>(Optional)</small>
                      </p>
                      <p>
                        <input name="submitlogin" type="submit" class="button" id="button" value="Add >>" onclick="Modalbox.show('addadmin.php', {title: 'Add Admin', method: 'post', params: Form.serialize('form1')}); return false;"/>
                      </p>
                    </form></center>
                </li>
</h2>
		
		
		<!-- content-wrap ends here -->	
		</div>
					
		<!--footer starts here-->
		<?php include('includes/footer.inc.php'); ?>

<!-- wrap ends here -->
</div>

</body>
</html>
