<?php
/*
    This file is part of CSS:Portal.

    Written by Jonathan Levine <jxl180@gmail.com>
    Copyright 2009 Jonathan Levine
    
    CSS:Portal is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    CSS:Portal is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with CSS:Portal.  If not, see <http://www.gnu.org/licenses/>.
	
	The full copy of the GNU General Public License is saved as COPY in CSS:Portal's top directory.
*/
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>

<meta name="Description" content="Information architecture, Web Design, Web Standards." />
<meta name="Keywords" content="your, keywords" />
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="Distribution" content="Global" />
<meta name="Author" content="Erwin Aligam - ealigam@gmail.com" />
<meta name="Robots" content="index,follow" />

<link rel="stylesheet" href="images/Refresh.css" type="text/css" />

<title>CSS:Portal</title>

	
</head>

<body>
<!-- wrap starts here -->
<div id="wrap">
		
		<!--header -->
		<div id="header">			
				
			<h1 id="logo-text">CSS<span class="gray">Portal</span></h1>
				
			<form class="search" method="post" action="#">
				<p>
	  			<input class="textbox" type="text" name="search_query" value="" />
	 			<input class="button" type="submit" name="Submit" value="Search" />
				</p>
			</form>			
				
		</div>
		
		<!-- menu -->	
	  <div  id="menu">
			<ul>
				<li id="current"><a href="/cssportal/index.php">Home</a></li>
				<li><a href="/cssportal/admin.php">Admin</a></li>
				<li><a href="index.html">Support</a></li>
				<li><a href="http://www.eventscripts.com">Eventscripts</a></li>
				<li><a href="http://forums.eventscripts.com/index.php">ES Forum</a></li>	
			</ul>
		</div>					
			
		<!-- content-wrap starts here -->
		<div id="content-wrap">
				
			<div id="sidebar">
				<h1>Wizard</h1>
				<div class="left-box">
					<ul class="sidemenu">				
					<li><b>Step 1: Home</b></li>
                    <li>Step 2: Database Setup</li>
                    <li>Step 3: Complete</li>
                    </ul>
					
					</div>
</div>
				
		  <div id="main">
				
				<a name="main"></a>
                <h1>CSS:Portal</h1>
			  <h2><li>Installation</li></h2>
			<p><br />
				This wizard will configure CSS:Portal at the following address:
                <?php echo '<blockquote>&nbsp;&nbsp;&nbsp;<input name="address" disabled="true" size="30" type="text" value="'. $_SERVER["SERVER_NAME"] .'" /><br />'; ?>
				
			  <form action="step2.php" method="POST">
		<input name="button" type="submit" class="button" value="Next >>" />
		    </form></blockquote>
            </p>
            </div>
		
		<!-- content-wrap ends here -->	
		</div>
					
		<!--footer starts here-->
		<?php include('includes/footer.inc.php'); ?>

<!-- wrap ends here -->
</div>

</body>
</html>
